> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/reference/settings/data-governance/workflows.md).

# Workflows

Workflows are a way, to control the flow of products through workflow states, that indicate where the product is in its lifecycle, from being created to being released or discontinued.

You can add or update workflows through [Settings](/reference/settings.md) > [Data governance](/reference/settings/data-governance.md) > [Workflows](/reference/settings/data-governance/workflows.md).

{% hint style="info" %}
**Tip** For a more in-depth introduction to the workflow-feature read our tutorials for workflows here: [How to use Workflows](/tutorials/guides/how-to-use-workflows.md)
{% endhint %}

### View workflow

Workflows are shown directly in the workflow page.

### Find workflow

1. Click column header for Id, Alias, Label or others
2. Type value to search for

{% hint style="info" %}
**Tip** To read about how to search more effectively, read here: [Search help](/reference/pim/search/search-help.md)
{% endhint %}

### Add a new workflow

1. Click "+ Create business unit"
2. Set Alias and Label
3. Set [Workflow states](/reference/settings/data-governance/workflows/workflow-states.md)
4. Set [Assignments](/reference/settings/data-governance/workflows/workflow-assignments.md)
5. Click "Create workflow"

### Edit workflow

1. Click "Edit"-icon
2. Modify Alias, Label, [Workflow states](/reference/settings/data-governance/workflows/workflow-states.md) or [Assignments](/reference/settings/data-governance/workflows/workflow-assignments.md)
3. Click "Save"

### Delete workflow

1. Click "Delete"-icon
2. Confirm deletion

### Bulk delete workflows

1. Select the workflows you want to delete
2. Click "Delete workflows"-icon
3. Confirm deletion

### Swap to grid view

Click "Grid"-icon or use the keyboard shortcut ctrl+shift+g

### Swap to table view

Click "Table"-icon or use the keyboard shortcut ctrl+shift+h

### Manage columns

1. Click "Manage columns"-icon or use the keyboard shortcut ctrl+shift+c
2. Manage columns
3. Click "Update columns"


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.struct.com/reference/settings/data-governance/workflows.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
